Foren: Hilfe (Thread #36082)

同梱のApacheをアップデートするには?再び (2014-10-21 17:25 by gene #74639)

Trac Lightning 3.2.0 使用中ですが、Apacheの脆弱性対策のために、Apache HTTP Server 2.2系の最新版にアップグレードする必要があります。
以前同様の件でご相談したときは、TracLightningのバージョンアップで対応したのですが、現バージョンが最新(最終?)なので、困りました。
Apacheだけアップグレードする方法はあるでしょうか。

Re: 同梱のApacheをアップデートするには?再び (2014-10-21 18:00 by jun66j5 #74640)

[メッセージ #74639 への返信]
> Trac Lightning 3.2.0 使用中ですが、Apacheの脆弱性対策のために、Apache HTTP Server 2.2系の最新版にアップグレードする必要があります。
> 以前同様の件でご相談したときは、TracLightningのバージョンアップで対応したのですが、現バージョンが最新(最終?)なので、困りました。
> Apacheだけアップグレードする方法はあるでしょうか。

↓ のチケットで Apache と Subversion の新しいバイナリにしたインストーラを作る手順に関して書いてます。これが参考になると思います。

http://sourceforge.jp/ticket/browse.php?group_id=2810&tid=32143#comment:2810:32143:1391398985

結局のところ、httpd-*.msi から中に入っているバイナリファイルを msiexec を使って抜き出せるので、それで置き換えればいけると思います。

ただ、Apache の win32 バイナリで最新版 (2.2.29) 相当のものが見つからないので、すぐにできそうなのは 2.2.25 にあげることまでだとは思います。
Reply to #74639

Re: 同梱のApacheをアップデートするには?再び (2014-10-21 23:51 by gene #74641)

どうもありがとうございます。
整理しますと、
hg clone https://bitbucket.org/okamototk/traclightning
をして、取得したソースの
CollabNetSVN\httpd
の中身を、httpd-2.2.25-win32-x86-openssl-0.9.8y.msi から抜き出したもので置き換えるということで良いですね。

今、hg clone にすごく時間が掛かっています。
私は、Mercurialの使用実績がないので、これが正常なのかどうかわかりませんが、朝までかかりそうな雰囲気です。
Reply to #74640

Re: 同梱のApacheをアップデートするには?再び (2014-10-22 00:41 by gene #74642)

さすがに朝までということはなかったですね。終わりました。
後は明日以降にします。
Reply to #74641

Re: 同梱のApacheをアップデートするには?再び (2014-10-22 07:57 by jun66j5 #74643)

Apache 2.2.25 とついでに Subversion 1.8.10 に置き換えたインストーラを ↓ に置いておきました。

https://bitbucket.org/jun66j5/traclightning/downloads

最初 http://www.apachelounge.com にある Apache 2.2.29 VC9 版に置き換えようとしていましたが Subversion の Python binding がロードできないためにリポジトリブラウザが使えない状態になったので、一旦 2.2.25 にしました。
Reply to #74639

Re: 同梱のApacheをアップデートするには?再び (2014-10-23 04:40 by jun66j5 #74646)

> 最初 http://www.apachelounge.com にある Apache 2.2.29 VC9 版に置き換えようとしていましたが Subversion の Python binding がロードできないためにリポジトリブラウザが使えない状態になったので、一旦 2.2.25 にしました。

どうにも解決できそうにないので VC6 を用意して自分で 2.2.29 をビルドしました。TracLightning-3.3.0dev-b49481e6d843.exe です。
Best Answer Reply to #74643

Re: 同梱のApacheをアップデートするには?再び (2014-10-24 00:21 by gene #74656)

そこまでしていただけるとは恐縮です。
Apache 2.2.29 については妥協して、2.2.25 で手を打とうかと考えていたところだったので、助かります。
ありがとうございました。
Reply to #74646